<div class="container-fluid">
  <div class="row">
    <div class="col col-sm-8">
       <div class="m-grid m-grid-demo">
           <div class="m-grid-row">
               <div class="m-grid-col m-grid-col-middle m-grid-col-center m-grid-col-md-3 m-grid-col-md-offset-3" 
               data-toggle="modal" [attr.data-target]="this.datatarget" (click)="openModal(true)" *ngFor="let item of filterListBySno('F') let i = index">
                    <img class="d-block w-100 tile lozad" height="300" width="100%" [src]="GetSRCImageURl(item)" [attr.data-src]="GetImageURl(item)" 
                    [attr.data-background-image]="this.dummyImgURL">
               </div>
           </div>
       </div>
       <div class="m-grid m-grid-demo">
           <div class="m-grid-row">
               <div class="m-grid-col m-grid-col-middle m-grid-col-center m-grid-col-md-3 m-grid-col-md-offset-3" 
               data-toggle="modal" [attr.data-target]="this.datatarget" (click)="openModal(true)" *ngFor="let item of filterListBySno('S') let i = index">
                    <img class="d-block w-100  tile lozad" height="300" width="100%" [src]="GetSRCImageURl(item)" [attr.data-src]="GetImageURl(item)" 
                    [attr.data-background-image]="this.dummyImgURL">
               </div>
           </div>
       </div>
    </div>  
    <div class="col col-sm-4 hide">
      
        <!-- BEGIN PORTLET #exampleModal-->
        <div class="portlet light bordered">
                <div class="portlet-title">
                    <div class="caption">
                        <i class="icon-edit font-dark"></i>
                        <span class="caption-subject font-dark bold uppercase">Notes</span>
                    </div>
                    <div class="actions">
                        
                    </div>
                </div>
                <div class="portlet-body">
                    <div class="note note-success">
                        <h4 class="block">Success! Some Header Goes Here</h4>
                        <p> Some Header Goes Here, Some Header Goes Here, Some Header Goes Here Some Header Goes Here, Some Header Goes Here. Some Header Goes Here, 
                            Some Header Goes Here, Some Header Goes Here. Some Header Goes Here Some Header Goes Here, Some Header Goes Here. </p>
                    </div>
                    <!-- <div class="note note-info">
                        <h4 class="block">Info! Some Header Goes Here</h4>
                        <p> Some Header Goes Here, Some Header Goes Here, Some Header Goes Here Some Header Goes Here, Some Header Goes Here. Some Header Goes Here, Some Header Goes Here, Some Header Goes Here. </p>
                    </div>
                    <div class="note note-warning">
                        <h4 class="block">Warning! Some Header Goes Here</h4>
                        <p> Some Header Goes Here, Some Header Goes Here, Some Header Goes Here Some Header Goes Here, Some Header Goes Here. Some Header Goes Here, Some Header Goes Here, Some Header Goes Here. </p>
                    </div> -->
                </div>
            </div>
            <!-- END PORTLET-->

    </div>

  </div>
</div> 

<alerts></alerts>

<!-- Modal -->
<div class="modal" [attr.id]="this.ModaldivId" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" [ngStyle]="{'display': mdlSampleIsOpen ? 'block' : 'none', 'opacity': 1}">
    <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Manage Photos</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="openModal(false)">
            <span aria-hidden="true">&times;</span>
        </button>
        </div>
        <div class="modal-body">

            <div class="row">
                <div class="col-md-7">

                        <div class="col">
                                <div [id]="this.PostId">
                                    <div class="carousel-inner">
                                        <div class="carousel-item" *ngFor="let image of sliderImages let i = index" [ngClass]="IsActiveItem(i)">
                                            <img class="d-block w-100" [src]="image" alt="First slide" height="550" width="100%" lang="GetImgSeqn()">
                                        </div>
                                    </div>
                                    <a class="carousel-control-prev" role="button" data-slide="prev" (click)="SlideClick(PostId, 'P')">
                                      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                      <span class="sr-only">Previous</span>
                                    </a>
                                    <a class="carousel-control-next" role="button" data-slide="next"  (click)="SlideClick(PostId, 'N')">
                                      <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                      <span class="sr-only">Next</span>
                                    </a>
                                  </div>
                            </div>  

                </div>
                <div class="col-md-5">
                    <div class="col-md-12">
                        <div class="col-sm-12"> 
                            <div class="blog-single-head">
                                <div class="portlet light bordereds">
                                        <div class="portlet-title">
                                            <div class="media" style="margin: 10px 0;">
                                                <div class="media-left">
                                                    <a href="javascript:void(0);">
                                                        <img alt="" class="media-object" [src]="getprofilePath(this.profilePath)">
                                                    </a>
                                                </div>
                                                <div class="media-body">
                                                    <h4 class="media-heading" style="font-size: 14px;">
                                                        <a href="javascript:void(0);">{{ this.displayName }}</a> 
                                                        <div class="blog-single-head-date" style="font-size: 11px;margin-top:5px;">
                                                            <span> {{ this.strpostdt }} </span>
                                                        </div>
                                                    </h4> 
                                                </div>
                                            </div>
                                            <div class="actions">
                                                
                                            </div>
                                        </div>
                                        
                                    </div>
                        </div>
                            
                            </div>    
                           
                            <div class="col-md-12 mt-20">
                                    <p> {{ GetImgDescription() }} </p>
                            </div>
                            <hr>
                            <div class="post-footer-option">
                                 <ul class="list-unstyled">
                                     <li class="col-md-4"><button class="btn blue btn-block btn-outline " style="border-color: #ffffff;" (click)="SaveLikes()">
                                        <i class="icon-like"></i>{{ this.likes }} Likes</button></li>
                                     <li class="col-md-4"><button class="btn blue btn-block btn-outline " style="border-color: #ffffff;"><i class="icon-bubbles"></i> Comment</button></li>
                                     <li class="col-md-4"></li>
                                 </ul>
                            </div>
                            <div class="col-md-12">
                                <div class="blog-comments" style="height:285px;overflow-y: auto;">
                                    <h3 class="sbold blog-comments-title">Comments({{ this.icmtCount }})</h3>
                                    <div class="c-comment-list">
                                        <div class="media" *ngFor="let row of this.curcommentList; let i = index">
                                            <div class="media-left">
                                                <a href="javascript:void(0);">
                                                    <img class="media-object" alt="" [src]="row.imgpath"> </a>
                                            </div>
                                            <div class="media-body" style="height:75px;overflow-y: auto;">
                                                <h4 class="media-heading">
                                                    <a href="javascript:void(0);">{{ row.dsnm }}</a> on
                                                    <span class="c-date">{{ GetCommentTime(row.cmttime) }}</span>
                                                </h4> {{ row.cmt }} </div>
                                        </div>
                                        <div *ngIf="!this.showComment">
                                        <a   (click)="LoadMoreComment()">see more</a>
                                    </div>
                                    </div>
                                    
                                </div>
                                <div style="margin-top: 20px;">
                                    <div class="form-group">
                                        <textarea rows="2" name="message" placeholder="Write comment here ..." class="form-control c-square" [(ngModel)] = "this.curComment"></textarea>
                                    </div>
                                    <div class="form-group">
                                        <button type="submit" class="btn blue uppercase btn-md sbold btn-block" (click)="SaveComment()">Submit</button>
                                    </div>
                                  </div>
                            </div>
                    </div>
                </div>
            </div>


        </div>
        <!-- <div class="modal-footer">
        </div> -->
    </div>
    </div>
</div>
